package fastgpt

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/fastgpt"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /api/fastgpt/apps_list fastgpt GetAppsList
//

//

//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: AppsListReq
//
// Responses:
//  200: AppsListResp

func GetAppsListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.AppsListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := fastgpt.NewGetAppsListLogic(r.Context(), svcCtx)
		resp, err := l.GetAppsList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
